Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class JavaBridgeClassLoader

    java.lang.Object
      php.java.bridge.SimpleJavaBridgeClassLoader
          php.java.bridge.JavaBridgeClassLoader

    public class JavaBridgeClassLoader

extends SimpleJavaBridgeClassLoader

A bridge pattern which allows us to vary the class loader as run-time. The decision is based on whether we are allowed to use a dynamic classloader or not (cl==null) or security exception at run-time.

See Also:
  `DynamicJavaBridgeClassLoader`, `ClassLoader`

Field Summary

Fields inherited from class php.java.bridge.SimpleJavaBridgeClassLoader
`DEFAULT_CLASS_LOADER`

Constructor Summary
`JavaBridgeClassLoader()` Create a bridge class loader using the default class loader.
`JavaBridgeClassLoader(DynamicJavaBridgeClassLoader loader)` Create a bridge ClassLoader using a dynamic loader.

Method Summary

Methods inherited from class php.java.bridge.SimpleJavaBridgeClassLoader
`clear, clearCaches, forName, getClassLoader, reset, setClassLoader, updateJarLibraryPath`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBridgeClassLoader

    public JavaBridgeClassLoader(DynamicJavaBridgeClassLoader loader)

  Create a bridge ClassLoader using a dynamic loader.

  Parameters:
    `loader` - The dynamic loader, may be null.

### JavaBridgeClassLoader

    public JavaBridgeClassLoader()

  Create a bridge class loader using the default class loader.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD